<?php
namespace Ak\Validator;

use Laminas\ServiceManager\Factory\InvokableFactory;
use Laminas\Validator\ValidatorChain;

/**
 * Pruža konfiguraciju komponente.
 *
 * @package Ak\Validator
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/validator
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            'validators' => [
                'aliases' => [
                    'validatorchain'  => ValidatorChain::class,
                    'validator_chain' => ValidatorChain::class,
                    'validatorChain'  => ValidatorChain::class,
                    'ValidatorChain'  => ValidatorChain::class,

                    \Laminas\Validator\NotEmpty::class => NotEmpty::class,
                ],

                'factories' => [
                    NotEmpty::class       => InvokableFactory::class,
                    ValidatorChain::class => ValidatorChainFactory::class,
                ],
            ],
        ];
    }
}
