<?php
namespace Ak\Validator;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;
use Laminas\Validator\ValidatorChain;
use Laminas\Validator\ValidatorPluginManager;

/**
 * Class ValidatorChainFactory
 *
 * @package Ak\Validator
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/validator
 */
final class ValidatorChainFactory implements FactoryInterface
{
    /**
     * Create an object
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return ValidatorChain
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null): ValidatorChain
    {
        $chain = new ValidatorChain();

        $plugins = $container->get(ValidatorPluginManager::class);
        $chain->setPluginManager($plugins);

        return $chain;
    }
}
