<?php
namespace AkTest\Validator;

use Ak\Test\AbstractTestCase as BaseAbstractTestCase;
use Ak\Validator\ConfigProvider;
use Laminas\Validator\ValidatorInterface;
use Laminas\Validator\ValidatorPluginManager;

/**
 * Class AbstractTestCase
 *
 * @package AkTest\Validator
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/validator
 */
abstract class AbstractTestCase extends BaseAbstractTestCase
{
    /** @var array */
    protected $providers = [
        \Laminas\Validator\ConfigProvider::class,
        ConfigProvider::class,
    ];

    /**
     * @return ValidatorPluginManager
     */
    protected function getValidatorManager(): ValidatorPluginManager
    {
        $container = $this->getContainer();
        return $container->get(ValidatorPluginManager::class);
    }

    /**
     * @param string $name
     * @param array $options
     * @return ValidatorInterface
     */
    protected function getValidator(string $name, array $options = []): ValidatorInterface
    {
        $plugins = $this->getValidatorManager();
        return $plugins->get($name, $options);
    }
}
