<?php
namespace AkTest\Validator;

use Ak\Validator\NotEmpty;

class NotEmptyTest extends AbstractTestCase
{
    public function testIsRegistered()
    {
        $validators = $this->getValidatorManager();

        $this->assertTrue($validators->has(NotEmpty::class));
        $this->assertTrue($validators->has(\Laminas\Validator\NotEmpty::class));
        $this->assertTrue($validators->has('notempty'));
        $this->assertTrue($validators->has('notEmpty'));
        $this->assertTrue($validators->has('NotEmpty'));

        $this->assertInstanceOf(NotEmpty::class, $validators->get(NotEmpty::class));
        $this->assertInstanceOf(NotEmpty::class, $validators->get(\Laminas\Validator\NotEmpty::class));
        $this->assertInstanceOf(NotEmpty::class, $validators->get('notempty'));
        $this->assertInstanceOf(NotEmpty::class, $validators->get('notEmpty'));
        $this->assertInstanceOf(NotEmpty::class, $validators->get('NotEmpty'));
    }

    public function testIsEmptyMessagesIsTranslated()
    {
        $validator = $this->getValidator(NotEmpty::class);

        $validator->isValid('');
        $message = $validator->getMessages()[NotEmpty::IS_EMPTY];

        $this->assertContains('obavezn', $message);
    }
}
