<?php
namespace AkTest\Validator;

use Laminas\Validator\ValidatorChain;

/**
 * Class ValidatorChainTest
 *
 * @package AkTest\Validator
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/validator
 */
final class ValidatorChainTest extends AbstractTestCase
{
    public function testIsRegistered()
    {
        $plugins = $this->getValidatorManager();

        $this->assertContainerHasService($plugins, [
            'validatorchain',
            'validator_chain',
            'validatorChain',
            'ValidatorChain',
            ValidatorChain::class,
        ], ValidatorChain::class, false);
    }

    public function testCorrectManagerIsInjected()
    {
        /** @var ValidatorChain $validator */
        $validator = $this->getValidator('validatorchain');
        $this->assertSame($this->getValidatorManager(), $validator->getPluginManager());
    }
}
